# Uses of Enum Class
org.eclipse.emf.cdo.lm.StreamMode

Packages that use StreamMode
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.

## Uses of StreamMode in org.eclipse.emf.cdo.lm

Fields in org.eclipse.emf.cdo.lm with type parameters of type StreamMode
Modifier and Type
Field
Description
`static final List<StreamMode>`
StreamMode.`VALUES`
A public read-only list of all the 'Stream Mode' enumerators.
Methods in org.eclipse.emf.cdo.lm that return StreamMode
Modifier and Type
Method
Description
`static StreamMode`
StreamMode.`get(int value)`
Returns the 'Stream Mode' literal with the specified integer value.
`static StreamMode`
StreamMode.`get(String literal)`
Returns the 'Stream Mode' literal with the specified literal value.
`static StreamMode`
StreamMode.`getByName(String name)`
Returns the 'Stream Mode' literal with the specified name.
`StreamMode`
Stream.`getMode()`
Returns the value of the 'Mode' attribute.
`static StreamMode`
StreamMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StreamMode[]`
StreamMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of StreamMode in org.eclipse.emf.cdo.lm.impl

Fields in org.eclipse.emf.cdo.lm.impl declared as StreamMode
Modifier and Type
Field
Description
`protected static final StreamMode`
StreamImpl.`MODE_EDEFAULT`
The default value of the '`Mode`' attribute.
Methods in org.eclipse.emf.cdo.lm.impl that return StreamMode
Modifier and Type
Method
Description
`StreamMode`
LMFactoryImpl.`createStreamModeFromString(EDataType eDataType, String initialValue)`
`StreamMode`
StreamImpl.`getMode()`